# Uses of Interface
org.eclipse.emf.spi.cdo.InternalCDOUserSavepoint

Packages that use InternalCDOUserSavepoint
Package
Description
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of InternalCDOUserSavepoint in org.eclipse.emf.spi.cdo

Subinterfaces of InternalCDOUserSavepoint in org.eclipse.emf.spi.cdo
Modifier and Type
Interface
Description
`interface`
`InternalCDOSavepoint`
Adds transaction-internal access to the mutable segment owned by a savepoint.
`interface`
`InternalCDOXASavepoint`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.spi.cdo that return InternalCDOUserSavepoint
Modifier and Type
Method
Description
`InternalCDOUserSavepoint`
InternalCDOUserSavepoint.`getFirstSavePoint()`
`InternalCDOUserSavepoint`
InternalCDOUserTransaction.`getLastSavepoint()`
`InternalCDOUserSavepoint`
InternalCDOUserSavepoint.`getNextSavepoint()`
`InternalCDOUserSavepoint`
InternalCDOUserSavepoint.`getPreviousSavepoint()`
`InternalCDOUserSavepoint`
CDOTransactionStrategy.`setSavepoint(InternalCDOTransaction transaction)`
`InternalCDOUserSavepoint`
InternalCDOUserTransaction.`setSavepoint()`
Methods in org.eclipse.emf.spi.cdo with parameters of type InternalCDOUserSavepoint
Modifier and Type
Method
Description
`void`
CDOTransactionStrategy.`rollback(InternalCDOTransaction transaction, InternalCDOUserSavepoint savepoint)`
`void`
InternalCDOTransaction.`rollbackToSavepoint(InternalCDOUserSavepoint savepoint)`
Restores this transaction to a retained public savepoint without reporting that the root transaction itself has been rolled back.
`void`
InternalCDOUserSavepoint.`setNextSavepoint(InternalCDOUserSavepoint nextSavepoint)`
`void`
InternalCDOUserSavepoint.`setPreviousSavepoint(InternalCDOUserSavepoint previousSavepoint)`